Bug 145673 - Fedora 3 install: Kernel crashes around start of RPM transaction
Fedora 3 install: Kernel crashes around start of RPM transaction
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-20 11:05 EST by Terry Barnaby
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Barnaby 2005-01-20 11:05:48 EST
Description of problem:

When trying to install Fedora 3 on a Dual processor SMP system
using Raid SCSI disks the kernel panics around the "Starting RPM
Transaction" stage. This system had been running fine with Fedora 2.
Other single processor IDE disk based systems have been installed
fine with this.

I was re-installing from scratch onto "/" using a CDROM boot and local
network install.
The disks where set up as a number of raid1 partitions:
    /        /dev/md1    (/dev/sda1,/dev/sdb1)
    swap        /dev/sda2,/dev/sdb2
    /home        /dev/md5    (/dev/sda5,/dev/sdb5)
    /src        /dev/md6    (/dev/sda6,/dev/sdb6)
    /scratch    /dev/md7    (/dev/sda7,/dev/sdb7)
    /dist        /dev/md8    (/dev/sda8,/dev/sdb8)
    /usr/beam    /dev/md9    (/dev/sda9,/dev/sdb9)

I set the install to mkfs / but leave the other partitions alone.
All went fine until the install stage where the system is setting up
the RPM transaction where the kernel would panic. Within the kernel
panic backtrace there were mentions of:
    journal_alloc_journal_head

I retried a number of times and even tried creating new boot CD's
containing the
2.6.9-1.724_FC3.i586 kernel and even the 2.6.8-1.521.i586 kernel I was
using with Fedora 2
all with the same crash.

I managed to get the system to eventually install by:
1. Adding the option "noselinux" at the CDROM isolinux boot prompt.
2. Only adding the "/" /dev/md1 partition in the Disk-druid fdisk
   program so that the other raid partitions were ignored.

I don't know which of the above cured the problem, but this may be of
use to someone.
I am not happy about the stability of this system, this kernel panic
could re-occur ....

Terry

My System is:
Motherboard:    Supermicro X5DA8
Processors:    2.4GHz Xeon
Ram:        1GByte
SCSI:        Onboard Adaptec AIC-7902 Dual Channel SCSI controller
SCSIDisks:    Two Seagate ST3146807LW 147GByte SCSI drives

SoftwareIs:    Fedora 3 updated to 13/1/05
DiskSetup:    Raid1 partitions



Version-Release number of selected component (if applicable):


How reproducible:
Every boot


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2005-07-15 14:31:20 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:54:28 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.